# $Revision: 1.41 $, $Date: 2011/10/29 15:58:56 $
Summary:	GNOME binary editor
Summary(pl.UTF-8):	Edytor binarny dla GNOME
Name:		ghex
Version:	3.0.0
Release:	2
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	http://ftp.gnome.org/pub/GNOME/sources/ghex/3.0/%{name}-%{version}.tar.xz
# Source0-md5:	ffa346d6fa97b9e787680159a5479b84
Patch0:		%{name}-desktop.patch
URL:		http://www.gnu.org/directory/text/editors/ghex.html
BuildRequires:	atk-devel >= 1:1.22.0
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils >= 0.12.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.36.1
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GHex allows the user to load data from any file, view and edit it in
either hex or ascii. A must for anyone playing games that use
non-ascii format for saving.

%description -l pl.UTF-8
GHex pozwala użytkownikowi na wczytanie danych z dowolnego pliku,
przeglądanie i edycję ich w trybie szesnastkowym i ASCII. Obowiązkowe
narzędzie dla wszystkich graczy, których gry zapisują stan w formacie
innym niż tekstowy.

%package libs
Summary:	GHex library
Summary(pl.UTF-8):	Biblioteka GHex
Group:		X11/Libraries

%description libs
GHex library.

%description libs -l pl.UTF-8
Biblioteka GHex.

%package devel
Summary:	GHex devel files
Summary(pl.UTF-8):	Pliki nagłówkowe GHex
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+3-devel >= 3.0.0

%description devel
GHex devel files.

%description devel -l pl.UTF-8
Pliki nagłówkowe GHex.

%package static
Summary:	GHex static library
Summary(pl.UTF-8):	Biblioteka statyczna GHex
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
GHex static library.

%description static -l pl.UTF-8
Biblioteka statyczna GHex.

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome --with-omf --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/ghex
%{_datadir}/GConf/gsettings/ghex.convert
%{_datadir}/glib-2.0/schemas/org.gnome.GHex.gschema.xml
%{_desktopdir}/ghex.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/ghex

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhex-3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgtkhex-3.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgtkhex-3.so
%{_includedir}/gtkhex-3
%{_pkgconfigdir}/gtkhex-3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgtkhex-3.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghex.spec,v $
Revision 1.41  2011/10/29 15:58:56  megabajt
- moved ghex library to separate package
- added missing dir
- updated deps

Revision 1.40  2011/10/29 11:27:39  jareq
- simplification static build; rel 2

Revision 1.39  2011/10/29 10:12:17  jareq
- updatet to 3.0
- STBR

Revision 1.38  2011/02/04 18:23:45  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.37  2010/05/09 14:41:12  megabajt
- updated to 2.24.0

Revision 1.36  2008/11/11 15:15:02  arekm
- release 2

Revision 1.35  2008/04/14 14:00:58  megabajt
- updated to 2.22.0
- added X11 to groups

Revision 1.34  2007-12-10 16:56:43  megabajt
- updated to 2.20.1
- use better way to fix locale names

Revision 1.33  2007-11-04 22:53:38  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.32  2007/09/18 09:24:23  patrys
- 2.20.0

Revision 1.31  2007/09/14 22:49:00  megabajt
- updated to 2.19.91
- removed obsolete locale-names and schema patches

Revision 1.30  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.28  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.27  2006/03/18 18:49:31  maciek2w
- updated to 2.8.2

Revision 1.26  2005/04/29 18:41:10  paladine
- typos

Revision 1.25  2005/04/29 18:28:07  paladine
- new style macros, rel. 3

Revision 1.24  2004/12/22 01:30:20  zbyniu
- BR: gettext-devel, pkgconfig

Revision 1.23  2004/11/30 22:42:52  paladine
- added desktop patch, rel 2

Revision 1.22  2004/10/18 20:45:07  aflinta
- up to versiob 2.8.1

Revision 1.21  2004/08/18 22:32:39  ankry
- rel. 2 to rebuild

Revision 1.20  2004/05/27 12:15:19  jpc
- updated URL (nothing better could be found :/)

Revision 1.19  2004/05/27 12:02:37  grzegol
- updated to 2.6.1

Revision 1.18  2004/04/27 18:59:39  grzegol
- fixed BRs

Revision 1.17  2004/04/26 10:03:54  aflinta
- up to version 2.6.0

Revision 1.16  2004/04/12 13:07:29  grzegol
- merged 2.5.2 from DEVEL
- added locale-names patch (rename locale no -> nb)
- updated BRs and Rs, strict internal deps
- regenerate libtool

Revision 1.15  2004/02/14 19:58:04  adamg
- updated to 2.4.1
- BR: scrollkeeper (because of %%{_omf_dest_dir} in %%files)

Revision 1.14  2003/12/27 15:32:34  grzegol
- back to 2.4.0.1 version on HEAD (2.5.x on DEVEL)

Revision 1.13.2.2  2003/12/29 18:57:13  grzegol
- updated to 2.5.2
- regenerate intltool
- added Requires to -devel

Revision 1.13.2.1  2003/12/27 15:27:42  grzegol
- updated to 2.5.1

Revision 1.13  2003/10/11 17:39:14  grzegol
- updated to 2.5.0
- more BRs

Revision 1.12  2003/09/10 20:12:42  aflinta
- version 2.4.0.1

Revision 1.11  2003/09/09 16:21:51  grzegol
- updated to 2.4.0
- regenerate gt/ac/am

Revision 1.10  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/08/01 12:07:01  grzegol
- rel. 2 to rebuild without linc
- added compile_fix patch

Revision 1.8  2003/07/07 13:03:14  qboosh
- use _desktopdir macro, other minor changes where needed

Revision 1.7  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:47:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/15 08:50:31  qboosh
- cosmetics, run ldconfig in postun too

Revision 1.4  2003/04/11 21:32:56  grzegol
- fixed %%files

Revision 1.3  2003/04/11 16:54:40  aflinta
- updated to version 2.3.0

Revision 1.2  2003/01/07 13:26:37  qboosh
- clearer pl description, fixed Source0 URL, added Requires(post)
- revised doc: removed COPYING (just GPL), added ChangeLog and TODO

Revision 1.1  2003/01/07 13:02:30  aflinta
- initial PLD release
